Seqlense docs

API Reference

The Seqlense GDPR API - scan sites, capture requests and cookies, and flag undeclared third parties.

GET
/

Response Body

application/json

curl -X GET "https://example.com"
{  "ok": true}
GET
/scan/quick

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Query Parameters

url*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/scan/quick?url=example.com"
{  "ok": true,  "url": "string",  "site_root": "string",  "capture_ms": 0,  "total_bytes": 0,  "request_count": 0,  "third_party_count": 0,  "undeclared_count": 0,  "cookie_count": 0,  "third_party_cookie_count": 0,  "cookie_summary": {    "total": 0,    "first_party": 0,    "third_party": 0,    "session": 0,    "persistent": 0,    "from_headers": 0,    "from_scripts": 0,    "insecure": 0,    "long_lived": 0  },  "cookies": [    {      "name": "string",      "cookie_host": "string",      "cookie_domain": "string",      "root_domain": "string",      "source": "header",      "is_third_party": true,      "is_session": true,      "secure": true,      "http_only": true,      "same_site": "string",      "ttl_days": 0,      "long_lived": true,      "category": "string",      "vendor_name": "string"    }  ],  "third_parties": [    {}  ],  "requests": [    {}  ],  "stored": false}
GET
/domains

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Response Body

application/json

curl -X GET "https://example.com/domains"
{  "ok": true,  "domains": [    {      "id": 0,      "label": "string",      "domain": "string",      "root": "string",      "active": true,      "scan_frequency": "disabled",      "alert_email": "string",      "next_scan_at": "string",      "last_scan_at": "string"    }  ]}
POST
/domains

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/domains" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "domain": "string"  }'
{  "ok": true,  "id": 0}
POST
/domains/{id}/scan

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Path Parameters

id*integer

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/domains/0/scan"
{  "ok": true,  "scan_id": "string",  "status": "done",  "url_count": 0,  "request_count": 0,  "third_party_count": 0,  "undeclared_count": 0,  "new_undeclared_count": 0,  "cookie_count": 0,  "third_party_cookie_count": 0,  "third_parties": [    {}  ],  "new_undeclared": [    {}  ],  "stored": true}
GET
/domains/{id}/scans/{scan_id}

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Path Parameters

id*integer
scan_id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/domains/0/scans/string"
{  "ok": true,  "scan": {},  "third_parties": [    {}  ],  "requests": [    {}  ],  "pages": [    {}  ],  "cookies": [    {      "name": "string",      "cookie_host": "string",      "cookie_domain": "string",      "root_domain": "string",      "source": "header",      "is_third_party": true,      "is_session": true,      "secure": true,      "http_only": true,      "same_site": "string",      "ttl_days": 0,      "long_lived": true,      "category": "string",      "vendor_name": "string"    }  ]}
GET
/vendors

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Response Body

application/json

curl -X GET "https://example.com/vendors"
{  "ok": true,  "vendors": [    {}  ]}
GET
/keys

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/keys"
{  "ok": true,  "keys": [    {      "id": 0,      "name": "string",      "prefix": "string",      "created_at": "string",      "last_used_at": "string",      "created_by": "string",      "revoked": true    }  ]}
POST
/keys

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "ok": true,  "id": 0,  "name": "string",  "prefix": "string",  "key": "string",  "warning": "string"}
DELETE
/keys/{id}

Authorization

sessionCookie
seqlense_session<token>

The session cookie set after SSO login.

In: cookie

Path Parameters

id*integer

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/keys/0"
{  "ok": true}